%define unmangled_name Flask-Babel

%define mangled_name python3-Flask-Babel
%define version 0.12.2
%define unmangled_version 0.12.2
%define unmangled_version 0.12.2
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Adds i18n/l10n support to Flask applications
Name: %{mangled_name}
Requires: python3-Flask, python3-babel >= 2.3, python3-jinja2 >= 2.5
BuildRequires: python3-setuptools
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Armin Ronacher <armin.ronacher@active-4.com>
Url: http://github.com/python-babel/flask-babel

%description
# Flask Babel - 0.12.2

[![Build Status](https://travis-ci.org/python-babel/flask-babel.svg?branch=master)](https://travis-ci.org/python-babel/flask-babel)
[![PyPI](https://img.shields.io/pypi/v/flask-babel.svg?maxAge=2592000)](https://pypi.python.org/pypi/Flask-Babel)
![license](https://img.shields.io/github/license/python-babel/flask-babel.svg?maxAge=2592000)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/flask-babel.svg)

Implements i18n and l10n support for Flask.  This is based on the Python
[babel][] module as well as [pytz][] both of which are installed automatically
for you if you install this library.

# Documention

The latest documentation is available [here][docs].

[babel]: https://github.com/python-babel/babel
[pytz]: https://pypi.python.org/pypi/pytz/
[docs]: https://pythonhosted.org/Flask-Babel/


%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}

%build
python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
